=== modified file 'src/dk/aau/cs/io/queries/QueryLoader.java'
--- src/dk/aau/cs/io/queries/QueryLoader.java	2020-10-09 07:59:49 +0000
+++ src/dk/aau/cs/io/queries/QueryLoader.java	2020-10-30 12:00:55 +0000
@@ -60,11 +60,9 @@
 		
 		if(queryUsingNonexistentPlaceFound && firstQueryParsingWarning && showErrorMessage) {
 		    messages.add(ERROR_PARSING_QUERY_MESSAGE);
-			//JOptionPane.showMessageDialog(CreateGui.getApp(), ERROR_PARSING_QUERY_MESSAGE, "Error Parsing Query", JOptionPane.ERROR_MESSAGE);
 			firstQueryParsingWarning = false;
 		} else if(queryUsingNonexistentTransitionFound && firstQueryParsingWarning && showErrorMessage){
             messages.add(ERROR_PARSING_QUERY_MESSAGE);
-            //JOptionPane.showMessageDialog(CreateGui.getApp(), ERROR_PARSING_QUERY_MESSAGE, "Error Parsing Query", JOptionPane.ERROR_MESSAGE);
 			firstQueryParsingWarning = false;
 		}
 		

=== modified file 'src/dk/aau/cs/io/queries/SUMOQueryLoader.java'
--- src/dk/aau/cs/io/queries/SUMOQueryLoader.java	2020-10-09 07:59:49 +0000
+++ src/dk/aau/cs/io/queries/SUMOQueryLoader.java	2020-10-30 12:00:55 +0000
@@ -79,16 +79,14 @@
 		SUMOQueryLoader loader = new SUMOQueryLoader(file, network);
 		LoadedQueries loadedQueries = loader.parseQueries();
         if (loadedQueries.getMessages().size() != 0) {
-            new Thread(() -> {
-                CreateGui.getAppGui().setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
-                String message = "While loading the net we found one or more warnings: \n\n";
-                for (String s : loadedQueries.getMessages()) {
-                    message += s + "\n\n";
-                }
+            String message = "While loading the net we found one or more warnings: \n\n";
+            for (String s : loadedQueries.getMessages()) {
+                message += s + "\n\n";
+            }
 
-                new MessengerImpl().displayInfoMessage(message, "Warning");
-            }).start();
+            new MessengerImpl().displayInfoMessage(message, "Warning");
         }
+
 		for(TAPNQuery query : loadedQueries.getQueries()){
 			CreateGui.getCurrentTab().addQuery(query);
 		}

=== modified file 'src/dk/aau/cs/io/queries/TAPNQueryLoader.java'
--- src/dk/aau/cs/io/queries/TAPNQueryLoader.java	2020-10-09 07:59:49 +0000
+++ src/dk/aau/cs/io/queries/TAPNQueryLoader.java	2020-10-30 12:00:55 +0000
@@ -272,12 +272,7 @@
 		try {
 			query = XMLCTLQueryParser.parse(queryElement);
 		} catch (XMLQueryParseException e) {
-		    //We thread this to avoid freezing the GUI
             messages.add(ERROR_PARSING_QUERY_MESSAGE);
-            /*new Thread(() -> {
-                CreateGui.getAppGui().setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
-                JOptionPane.showMessageDialog(CreateGui.getApp(), ERROR_PARSING_QUERY_MESSAGE, "Error Parsing Query", JOptionPane.ERROR_MESSAGE);
-            }).start();*/
 		}
 		
 		return query;
@@ -289,12 +284,7 @@
 			query = TAPAALQueryParser.parse(queryToParse);
 		} catch (Exception e) {
 			if(firstQueryParsingWarning) {
-                //We thread this to avoid freezing the GUI
                 messages.add(ERROR_PARSING_QUERY_MESSAGE);
-                /*new Thread(() -> {
-                    CreateGui.getAppGui().setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
-                    JOptionPane.showMessageDialog(CreateGui.getApp(), ERROR_PARSING_QUERY_MESSAGE, "Error Parsing Query", JOptionPane.ERROR_MESSAGE);
-                }).start();*/
                 firstQueryParsingWarning = false;
 			}
 			System.err.println("No query was specified: ");

